#include "Vram.h"
#include "VVram.h"
#include "CopyMemory.h"
#include "Chars.h"

extern byte[] Chars;

void InitPatterns()
{
    SetPattern(Char_Kn_Left, Pattern_Kn_Left, 4);
    SetPattern(Char_Remain, Pattern_Man, 4);
    SetPattern(Char_Chaser, Pattern_Chaser, 4 * 4);
}


void ClearScreen()
{
    FillMemory(Vram, VramWidth * VramHeight, 0);
}


ptr<byte> PrintC(ptr<byte> pVram, byte c)
{
    *pVram = c - ' ';
    return pVram + 1;
}


ptr<byte> Put2(ptr<byte> pVram, byte c)
{
    repeat (2) {
        repeat (2) {
            *pVram = c; ++pVram;
            ++c;
        }
        pVram += VramRowSize - 2 * VramStep;
    }
    return pVram + 2 * VramStep - VramRowSize * 2;
}


ptr<byte> Erase2(ptr<byte> pVram)
{
    repeat (2) {
        repeat (2) {
            *pVram = Char_Space; ++pVram;
        }
        pVram += VramRowSize - 2 * VramStep;
    }
    return pVram + 2 * VramStep - VramRowSize * 2;
}
