include "Vram.inc"
include "VVram.inc"

ext @Temp@Byte
ext @Temp@Byte2
ext @Temp@Word
ext @Temp@Word2
ext @Temp@Word3
ext @Temp@Byte3

Top equ Vram+VramWidth*0

ext VVram_
ext Chars_

pVram equ @Temp@Word
pVVram equ @Temp@Word2
pFlags equ @Temp@Word3
yCount equ @Temp@Byte3
flagBit equ @Temp@Byte2


; void SetPattern(byte c, byte pattern, byte count);
pSource equ @Temp@Word
pDestination equ @Temp@Word2
dseg
SetPattern_@Param1: public SetPattern_@Param1
    defb 0
SetPattern_@Param2: public SetPattern_@Param2
    defb 0
cseg
SetPattern_: public SetPattern_
    psha | pshb
        suba #$80
        tab | clra
        aslb | rola ;*2
        aslb | rola ;*4
        aslb | rola ;*8
        addb #low CharGen | adca #high CharGen
        staa <pDestination | stab <pDestination+1

        ldab SetPattern_@Param1 | clra
        aslb | rola ;*2
        aslb | rola ;*4
        aslb | rola ;*8
        addb #low Chars_ | adca #high Chars_
        staa <pSource | stab <pSource+1

        ldab SetPattern_@Param2
        aslb ;*2
        aslb ;*4
        aslb ;*8
        do
            ldx <pSource
            ldaa 0,x
            inx
            stx <pSource

            ldx <pDestination
            staa 0,x
            inx
            stx <pDestination

            decb
        while ne | wend
    pulb | pula
rts


; void VVramToVram();
cseg
VVramToVram_:　public	VVramToVram_
    psha | pshb
        ldx #Top
        stx <pVram  
        ldx #VVram_
        stx <pVVram 
        ldaa #VVramHeight
        staa <yCount
        do
            ldab #VVramWidth
            do
                ldx <pVVram 
                ldaa 0,x
                inx
                stx <pVVram 

                ldx <pVram  
                staa 0,x
                inx
                stx <pVram  

                decb
            while ne | wend
            ldaa <pVram | ldab <pVram+1
            addb #VramWidth-VVramWidth | adca #0
            staa <pVram | stab <pVram+1
            
            dec yCount
        while ne | wend
    pulb | pula
rts
